org.bdgenomics.adam.models

# NarrowPeakFeature

#### class NarrowPeakFeature extends BaseFeature

See: http://genome.ucsc.edu/FAQ/FAQformat.html#format12

Linear Supertypes
BaseFeature, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NarrowPeakFeature
2. BaseFeature
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new NarrowPeakFeature(feature: Feature)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### val feature: Feature

    Definition Classes
      NarrowPeakFeature → BaseFeature

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def getChrom: String

13. #### def getChromEnd: Long

14. #### def getChromStart: Long

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def getName: String

17. #### def getPValue: Option[Double]

18. #### def getPeak: Option[Long]

19. #### def getQValue: Option[Double]

20. #### def getScore: Double

21. #### def getSignalValue: Option[Double]

22. #### def getStrand: Char

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      BaseFeature → AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BaseFeature

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped